<html>
<head>
<title>Ogre::EdgeData::EdgeGroup Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EdgeData.html">EdgeData</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">EdgeGroup</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EdgeData::EdgeGroup Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EdgeData::EdgeGroup" -->
<p>A group of edges sharing the same vertex data.  
 <a href="structOgre_1_1EdgeData_1_1EdgeGroup.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>&gt;</code></p>

<p><a href="structOgre_1_1EdgeData_1_1EdgeGroup-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#a86c3d3704b9370b9601be1b1ef21316f">vertexSet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The vertex set index that contains the vertices for this edge group.  <a href="#a86c3d3704b9370b9601be1b1ef21316f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#a1564edb1edb8ee140fd14ee683cae134">vertexData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to vertex data used by this edge group.  <a href="#a1564edb1edb8ee140fd14ee683cae134"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#ac1492097f952ad47429aed81471d1308">triStart</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.  <a href="#ac1492097f952ad47429aed81471d1308"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#a41b7c17951a90ca2a2518b497749fccf">triCount</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Number triangles of this edge group.  <a href="#a41b7c17951a90ca2a2518b497749fccf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1EdgeData.html#aaa375d98aaa806ce481eb1fe38b4a3ce">EdgeList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#ac1cefca66bbcb95e3a5b8967bbcd94f2">edges</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The edges themselves.  <a href="#ac1cefca66bbcb95e3a5b8967bbcd94f2"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A group of edges sharing the same vertex data. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00096">96</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ac1cefca66bbcb95e3a5b8967bbcd94f2"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::edges" ref="ac1cefca66bbcb95e3a5b8967bbcd94f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EdgeData.html#aaa375d98aaa806ce481eb1fe38b4a3ce">EdgeList</a> <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#ac1cefca66bbcb95e3a5b8967bbcd94f2">Ogre::EdgeData::EdgeGroup::edges</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The edges themselves. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00110">110</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a41b7c17951a90ca2a2518b497749fccf"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::triCount" ref="a41b7c17951a90ca2a2518b497749fccf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#a41b7c17951a90ca2a2518b497749fccf">Ogre::EdgeData::EdgeGroup::triCount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number triangles of this edge group. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00108">108</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac1492097f952ad47429aed81471d1308"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::triStart" ref="ac1492097f952ad47429aed81471d1308" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#ac1492097f952ad47429aed81471d1308">Ogre::EdgeData::EdgeGroup::triStart</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00106">106</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1564edb1edb8ee140fd14ee683cae134"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::vertexData" ref="a1564edb1edb8ee140fd14ee683cae134" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a>* <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#a1564edb1edb8ee140fd14ee683cae134">Ogre::EdgeData::EdgeGroup::vertexData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pointer to vertex data used by this edge group. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00101">101</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a86c3d3704b9370b9601be1b1ef21316f"></a><!-- doxytag: member="Ogre::EdgeData::EdgeGroup::vertexSet" ref="a86c3d3704b9370b9601be1b1ef21316f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html#a86c3d3704b9370b9601be1b1ef21316f">Ogre::EdgeData::EdgeGroup::vertexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The vertex set index that contains the vertices for this edge group. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00099">99</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
